//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Zipcode
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Zipcode()
        {
            this.Customers = new HashSet<Customer>();
        }
    
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public string zipcode { get; set; }
        public string country { get; set; }
        public string state_code { get; set; }
        public string zone_code { get; set; }
        public Nullable<System.DateTime> cutoff_time { get; set; }
        public string delivery_route { get; set; }
        public string pickup_route { get; set; }
        public string area { get; set; }
        public string region { get; set; }
        public Nullable<decimal> esa_surcharge { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Customer> Customers { get; set; }
        public virtual Enterprise Enterprise { get; set; }
        public virtual State State { get; set; }
    }
}
